Subject: Re: bug#12492: Acknowledgement (24.2.50; Open vc-dir buffer easier and faster)

From: Dmitry Gutov <[email-masked]>
Date: Thu, 12 Mar 2020 01:54:30 +0200

On 11.03.2020 18:14, Eli Zaretskii wrote:

>> That's the main purpose of this package: to have an extension point that
>> allows us to write commands in such a way that would work with
>> potentially any kind of projects, as long as the [third-party] project
>> implementation makes an effort to interface.
> 
> Of course, but this loses context: we were discussing whether and how
> to document these commands in the user manual.  For that manual,
> extensions that exist only in theory are not really relevant.

What if an extension materializes right after Emacs 27's release?

E.g. it's not hard to write a good project.el backend that uses 
Projectile (a popular third-party package for project-related 
functionality). Actually, a couple of ad-hoc integrations are already 
floating around. I should probably write [a better] one myself. And 
right after the release seems like a good time.